... the user friendly GPS tool


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Route Converter does not show maps
#1
I have been a user of Routeconverter since I discovered the great outdoors, and started hiking across Spain. Routeconverter has been my companion since then.

Now.. After having installed Ubuntu Precise Pangolin, I am unable to use Routeconverter, version 2.8.3 of 10 Sep 2012, in any practical form as it no longer shows the track on a map.

Before this I was using Routeconverter 2.5 from 6 Nov 2011 on Ubuntu Oneiric Ocelot without any problems.


I have the following version of java installed:
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.5) (6b24-1.11.5-0ubuntu1~12.04.1)
OpenJDK Server VM (build 20.0-b12, mixed mode)


I can't find any error in the log file that is created.

Where the map used to appear, I get:

Failed to create chrriis.dj.nativeswing.swtimpl.components.core.NativeWebBrowser[1,15703940]

Reason:
java.lang.RuntimeExpection: java.lang.reflect.InvocationTargetException
java.lang.reflect.InvocationTargetException
org.eclipse.swt.SWTError: No more handles

I have no clue what this means.

I hope I have provided sufficient information to help me, and others, with this problem.

THANKS in advance.
Reply
#2
(25.12.2012, 12:08)naranco Wrote: Now.. After having installed Ubuntu Precise Pangolin, I am unable to use Routeconverter, version 2.8.3 of 10 Sep 2012, in any practical form as it no longer shows the track on a map.

It's hard these days to catch up with all the software updates. Please try the latest prerelease version and report, if it works for you.
--
Christian
Reply
#3
(26.12.2012, 00:52)routeconverter Wrote:
(25.12.2012, 12:08)naranco Wrote: Now.. After having installed Ubuntu Precise Pangolin, I am unable to use Routeconverter, version 2.8.3 of 10 Sep 2012, in any practical form as it no longer shows the track on a map.

It's hard these days to catch up with all the software updates. Please try the latest prerelease version and report, if it works for you.

I tried version 2.9 snapshot 501 of 23rd Dec. Same error.
Reply
#4
(02.01.2013, 20:07)naranco Wrote: I tried version 2.9 snapshot 501 of 23rd Dec. Same error.

In this German thread, a solution was found: RouteConverter uses the Eclipse SWT library for the map which currently supports WebKit 1.2+. Most Linux distributions ship with WebKit 3.0 and later which seems to be incompabile. So if you (compile and) install WebKit 1.2 the map should be working again.
--
Christian
Reply
#5
(03.01.2013, 22:30)routeconverter Wrote:
(02.01.2013, 20:07)naranco Wrote: I tried version 2.9 snapshot 501 of 23rd Dec. Same error.

In this German thread, a solution was found: RouteConverter uses the Eclipse SWT library for the map which currently supports WebKit 1.2+. Most Linux distributions ship with WebKit 3.0 and later which seems to be incompabile. So if you (compile and) install WebKit 1.2 the map should be working again.



Installing the libwebkitgtk like below (captured from the forum post you referred to) solved the problem on Ubuntu Precise Pangolin.

sudo apt-get install libwebkitgtk-1.0-0

Thanks much. Back in business with this great, and I have since discovered, the only easy, powerful and multi-platform GPX editor.
Reply
#6
very enchanting posts,thanks for the info .....
Neha
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)